> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/81.-interogare-obtineti-geojson-pentru-equationmap.md).

# 81. Interogare: Obțineți GeoJSON pentru „EquationMap”

Obține GeoJSON pentru "EquationMaps" filtrat după `equationMapUuids`.

Atributul `equationMapGeojson` conține GeoJSON cu `Poligoane` sau `MultiPoligoane` inclusiv atributele caracteristicii geospațiale precum `id`, `value` și `suprafață` în unitățile definite.

Detalii cheie:

* Parametru `asMultiGeometry: true` înseamnă că `Poligoane` (celulele „Equation Map”) vor fi îmbinate în `MultiPoligoane` pe baza `value` atributului fiecărei celule „Equation Map”.
* Suprafața de ieșire poate fi configurată folosind `unitatea` parametrului. Opțiuni disponibile: `ACRES`,  `HECTARES`, `SQUARE_METERS`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARE, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Dacă geometrille nu sunt solicitate (doar atributele sunt necesare), atunci există `attributesJson` în loc de `equationMapGeojson` de utilizat.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARE, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/81.-interogare-obtineti-geojson-pentru-equationmap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
